Skip to main content
`Ctrl`+`K`
scipy.signal.ShortTimeFFT.

# upper_border_begin

ShortTimeFFT.upper_border_begin(n)

  First signal index and first slice index affected by post-padding.

  Describes the point where the window does begin stick out to the right of the signal domain. A detailed example is given Sliding Windows section of the SciPy User Guide.

  Parameters:
    n int

      Number of samples of input signal (must be ≥ half of the window length).

  Returns:
    k_ub int

      Lowest signal index, where a touching time slice sticks out past the signal end.

    p_ub int

      Lowest index of time slice of which the end sticks out past the signal end.

  See also

  `k_min`

    The smallest possible signal index.

  `k_max`

    First sample index after signal end not touched by a time slice.

  `lower_border_end`

    Where pre-padding effects end.

  `p_min`

    The smallest possible slice index.

  `p_max`

    Index of first non-overlapping upper time slice.

  `p_num`

    Number of time slices, i.e., `p_max` - `p_min`.

  `p_range`

    Determine and validate slice index range.

  `ShortTimeFFT`

    Class this method belongs to.

  Notes

  Note that the return values are cached together with the parameter n to avoid unnecessary recalculations.